
%define 	module	Lupy

Summary:	Full-text indexer and search engine
Summary(pl.UTF-8):	Silnik pełnotekstowego wyszukiwania i indeksowania dokumentów
Name:		python-%{module}
Version:	0.2.1
Release:	5
License:	LGPL
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/lupy/%{module}-%{version}.tar.gz
# Source0-md5:	515ea0b4aab8dd8299480cb9a0da6068
URL:		http://www.divmod.org/Home/Projects/Lupy/
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lupy is a full-text indexer and search engine written in Python. It is
a port of Jakarta Lucene 1.2 to Python. Specifically, it reads and
writes indexes in Lucene binary format.

%description -l pl.UTF-8
Lupy jest silnikiem umożliwiającym pełnotekstowe przeszukiwanie i
indeksowanie dokumentów. Lupy jest portem systemu Jakarta Lucene 1.2
do Pythona. Zapisuje i odczytuje indeksy w binarnym formacie Lucene.

%prep
%setup -q -n %{module}-%{version}

%build
# Build it without warnings
mv setup.py blah.blah
sed 's/platform/platforms/' < blah.blah > setup.py

python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT

%py_install

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt changelog.txt examples PKG-INFO
%{py_sitescriptdir}/lupy
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Lupy.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ad57580
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 78d8eea
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> c15d344
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5eb06c2
- release 4

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 83acf6c
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b3ddc50
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 983a928
- converted to UTF-8

* Sat Dec 25 2004 saq <saq@pld-linux.org> 31c8b91
- release 2 for rebuild with python 2.4

* Sat Nov 27 2004 saq <saq@pld-linux.org> f4ace7e
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 58f9af1
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 6a9b883
- capitalization, tabs, other cosmetics

* Thu May 13 2004 Jakub Bogusz <qboosh@pld-linux.org> 3d19402
- updated to 0.2.1, noarch, switched to sitescriptdir

* Wed May 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 17c4d21
- release 3

* Wed May 12 2004 Jakub Bogusz <qboosh@pld-linux.org> a8117c5
- fixed Group

* Sun Mar 14 2004 Jakub Bogusz <qboosh@pld-linux.org> a411eeb
- more specific URL

* Sun Mar 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 644ff79
- release 2

* Sun Mar 14 2004 Jakub Bogusz <qboosh@pld-linux.org> c868e1a
- en fix

* Sun Mar 14 2004 Jakub Bogusz <qboosh@pld-linux.org> c621d4d
- removed LICENSE from doc (just LGPL)

* Sun Mar 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 3e09adc
- cleanups

* Sun Mar 14 2004 Jakub Bogusz <qboosh@pld-linux.org> 08d2147
- from Marcin Gajda

